Skip to navigation

Status & Managing Group PurgeDocumentsAndMetaData

View as Markdown

PurgeDocumentsAndMetaData

This method can be used to purge envelope documents and metadata from the Docusign system. The metadata that is removed along with the document includes the Docusign tab data and any attachments that were provided with the envelope creation request. In all other respects, this is identical to PurgeDocuments.

When this method is used, the envelope documents are placed in a purge queue for deletion in 14 days. A warning email notification is sent to the sender and recipients associated with the envelope notifying them that the envelope document will be deleted in 14 days and providing a link to the documents. Another email is sent 7 days later with the same message. At the end of the 14-day period, the envelope documents and metadata are deleted from the system.

Schema

NameSchema TypeDescription
EnvelopeIdDSXIdEnvelope ID to purge from the system.

Sample Request XML

POST /api/3.0/dsapi.asmx HTTP/1.1
Host: demo.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/3.0/PurgeDocumentsAndMetaData"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<PurgeDocumentsAndMetaData xmlns="http://www.docusign.net/API/3.0">
<EnvelopeID>string</EnvelopeID>
</PurgeDocumentsAndMetaData>
</soap:Body>
</soap:Envelope>

The response either a success or failure. If the call fails an error code is provided.

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<PurgeDocumentsAndMetaDataResponse xmlns="http://www.docusign.net/API/3.0">
<PurgeDocumentsAndMetaDataResult>
<PurgeDocumentSuccess>boolean</PurgeDocumentSuccess>
<PurgeDocumentError>string</PurgeDocumentError>
</PurgeDocumentsAndMetaDataResult>
</PurgeDocumentsAndMetaDataResponse>
</soap:Body>